Contenido

# Iniciar un programa de LibreOffice con parámetros

Si se inicia LibreOffice desde la consola, podrá asignar varios parámetros con los que se puede influir en el desempeño. El uso de los parámetros de la consola solo se recomienda a los usuarios con experiencia.

Para un manejo normal, no es necesario el uso de los parámetros de consola. Algunos de los parámetros requieren un mayor conocimiento técnico de la tecnología de LibreOffice.

## Inicio de LibreOffice desde la consola

1. Busque Ejecutar en el menú Inicio de Windows.

2. Escriba la orden siguiente en el campo de texto Abrir y pulse en Aceptar.

3. "{install}\program\soffice.com" {parámetro}

   Sustituya {instalación} por la ruta a la instalación de los programas de LibreOffice (por ejemplo, C:\Archivos de programa\LibreOffice). Utilice soffice.exe en lugar de soffice.com cuando no necesite la consola (esto es, si no emplea la interfaz de línea de órdenes para operaciones en el modo sin interfaz).

1. Abra un intérprete de órdenes en las plataformas Linux, *BSD o macOS.

2. Escriba la siguiente línea de texto y luego presione Intro:

   {instalación}/program/soffice {parámetro}

   Reemplace {instalación} por la ruta a su instalación de LibreOffice (por ejemplo, /opt/LibreOffice en UNIX)

LibreOffice requiere permisos de escritura en su directorio de perfil de usuario.

## Parámetros válidos de la consola

### Utilización sin parámetros especiales

El uso sin ningún parámetro abre el centro de bienvenida.

{archivo} | Intenta abrir los archivos en los componentes más adecuados.
{archivo} macro://./[Biblioteca.Módulo.NombreDeMacro] | Abre el archivo y aplica las macros especificadas contenidas en el archivo.

### Obtención de ayuda e información

Parámetro | Significado
--- | ---
--help / -h / -? | Enumera en la consola los parámetros de línea de órdenes disponibles.
--helpwriter | Abre la ayuda incorporada o en línea de LibreOffice para Writer.
--helpcalc | Abre la ayuda incorporada o en línea de LibreOffice para Calc.
--helpdraw | Abre la ayuda incorporada o en línea de LibreOffice para Draw.
--helpimpress | Abre la ayuda incorporada o en línea de LibreOffice para Impress.
--helpbase | Abre la ayuda incorporada o en línea de LibreOffice para Base.
--helpbasic | Abre la ayuda incorporada o en línea de LibreOffice para el lenguaje de programación Basic.
--helpmath | Abre la ayuda incorporada o en línea de LibreOffice para Math.
--version | Muestra la versión de LibreOffice y finaliza el programa.
--nstemporarydirectory | (Solo aplica para el espacio aislado de macOS) Devuelve la ruta de acceso de la carpeta temporal de la cuenta de usuario actual y sale. Invalida el resto de los argumentos.

### Argumentos generales

Parámetro | Significado
--- | ---
--quickstart[=no] | Activa o desactiva el servicio de inicio rápido. Únicamente acepta un parámetro, no, que desactiva el servicio. Sin este parámetro, el servicio se activa.
--nolockcheck | Desactiva la comprobación de instancias remotas durante la instalación.
--infilter=InputFilterName [:InputFilterParam[,param]] | Fuerza un tipo de filtro de entrada, si es posible. Por ejemplo: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". Consulte la lista de filtros de documentos para la conversión de archivos. La lista de opciones de filtros para archivos de Lotus, dBase y Diff. La lista de opciones de filtros para archivos CSV. La lista de opciones de filtros para archivos PDF.
--pidfile={file} | Almacenar el identificador de proceso (PID) de soffice.bin en {archivo}.
--display {display} | Establece la variable de entorno DISPLAY en plataformas tipo UNIX en el valor {display}. Este parámetro solo es compatible con el script de inicio del software LibreOffice en plataformas tipo UNIX.

### Control de interfaz de usuario o programática

Parámetro | Significado
--- | ---
--nologo | Desactiva la pantalla de presentación al arrancar el programa.
--minimized | Se inicia minimizado. No se muestra la pantalla de presentación.
--nodefault | Se inicia sin mostrar nada excepto la pantalla presentación.
--invisible | Se inicia en modo invisible. No serán visibles ni el logotipo de inicio ni la ventana inicial del programa. Será posible controlar LibreOffice y manejar y abrir documentos gracias a la API. Con este parámetro, LibreOffice puede detenerse únicamente mediante el Administrador de tareas (Windows) o la orden kill (sistemas de tipo UNIX). No se puede usar de forma simultánea con --quickstart. Encontrará más información en la guía de programación de LibreOffice.
--headless | Se inicia en el modo sin interfaz, que permite usar la aplicación sin la interfaz de usuario. Esta modalidad especial puede emplearse cuando clientes externos controlen la aplicación por medio de la API.
--norestore | Desactiva el reinicio y la recuperación de archivos después de una caída del sistema.
--safe-mode | Inicia en el modo a prueba de errores, es decir, con un nuevo perfil de usuario temporal. Ello le ayuda a diagnosticar y reparar una configuración defectuosa.
--accept={UNO} | Notifica a LibreOffice que se empleará una cadena «UNO Accept String» tras la creación de «UNO Acceptor Threads». Un URL de UNO es una cadena semejante a uno:tipo-conexión,parámetros;nombre-protocolo,parámetros;NombreObjeto. Encontrará más información en la guía de programación de LibreOffice.
--unaccept={UNO-URL} | Cierra un aceptador que se creó con --accept={UNO-URL}. Utilice --unaccept=all para cerrar todos los aceptadores abiertos.
--language={lang} | Utiliza un idioma especificado, si el idioma no se ha seleccionado aún para la IU. El idioma se denota como una etiqueta IETF.

### Argumentos de programación

Parámetro | Significado
--- | ---
--terminate_after_init | Sale tras finalizar la inicialización (sin cargar ningún documento).

Los usuarios de Unix y Linux pueden invocar LibreOffice con estos parámetros adicionales para fines de depuración.

Parámetro | Significado
--- | ---
--record | Un depurador mejorado.
--backtrace | Imprime el seguimiento de toda la pila.
--strace | strace es una utilidad de espacio de usuario de instrucción, depuración y diagnóstico para Linux.
--valgrind | Detecta automáticamente muchos errores de subprocesamiento y administración de memoria, y perfila el programa en detalle.

Las opciones de depuración --record, --backtrace, --strace y --valgrind no se pueden utilizar juntas. Úselas una a la vez.

### Argumentos de creación de documentos

Los argumentos crean un documento vacío del tipo especificado. Solo uno de ellos se puede utilizar en una línea de órdenes. Si se especifican nombres de archivos después de un argumento, se intentará abrirlos en el módulo definido.

Parámetro | Significado
--- | ---
--writer | Inicia con un documento vacío de Writer.
--calc | Inicia con un documento vacío de Calc.
--draw | Inicia con un documento vacío de Draw.
--impress | Inicia con un documento vacío de Impress.
--math | Inicia con un documento vacío de Math.
--global | Inicia con un patrón de documento de Writer vacío.
--web | Inicia con un documento vacío en HTML.

### Argumentos de apertura de archivos

Los argumentos determinan el tratamiento de los nombres de archivo que siguen. Un tratamiento nuevo comienza después del argumento y termina al comenzar el próximo argumento. El tratamiento predeterminado consiste en abrir los documentos para su edición y crear documentos nuevos cuando se trate de plantillas.

Parámetro | Significado
--- | ---
-n | Considera los archivos siguientes como plantillas para la creación de documentos nuevos.
-o | Abre los archivos siguientes para su edición, sin importar si son plantillas o no.
--pt {Printername} | Imprime los archivos siguientes con la impresora {Nombre_impresora} y finaliza. La pantalla de presentación no aparece. Si el nombre de archivo contiene espacios, se debe acotar con comillas. Si se utiliza varias veces, únicamente el último argumento {Nombre_impresora} es efectivo para todos los documentos de todas las ejecuciones de la orden --pt. Asimismo, el argumento --printer-name de la opción --print-to-file interfiere con {Nombre_impresora}.
-p | Imprime los archivos especificados mediante la impresora predeterminada y los cierra a continuación. No aparece la pantalla de presentación. Si el nombre de archivo contiene espacios, se debe acotar con comillas.
--view | Abre los archivos siguientes en el modo de visor (solo lectura).
--show[=N] | Abre e inicia inmediatamente la presentación de diapositivas de los siguientes documentos de presentación. Los archivos se cierran después de la presentación. N en el ejemplo se refiere al número de diapositiva y, cuando se proporciona, comienzan en esa diapositiva.
--convert-to OutputFileExtension [:OutputFilterName [:OutputFilterParams[,param]]] [--outdir output_dir] | Si --convert-to se usa más de una vez, el último valor de OutputFileExtension[:OutputFilterName[:OutputFilterParams]] es efectivo. Si --outdir se usa más de una vez, solo su último valor es efectivo. En ausencia de --outdir, se utiliza el directorio de trabajo actual para el resultado. Por ejemplo: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc Consulte la lista de filtros de documentos para la conversión de archivos. La lista de opciones de filtros para archivos de Lotus, dBase y Diff. La lista de opciones de filtros para archivos CSV. La lista de opciones de filtros para archivos PDF.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Archivos por lotes para guardar archivos. Si no se especifica --outdir, entonces el directorio de trabajo actual se utiliza como salida_dir. Si --printer-name o --outdir se usan varias veces, solo el último valor de cada uno es efectivo. Además, el modificador {Printername} del --pt interfiere con --printer-name. Por ejemplo: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Aplica el filtro «txt:Text» a los siguientes documentos de texto y vuelca el contenido de texto a la consola (implica --headless). No se puede utilizar con --convert-to.
-env:VAR[=VALUE] | Defina una variable de arranque. Por ejemplo, para establecer una ruta de perfil de usuario distinta a la predeterminada: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Modificadores ignorados

Parámetro | Significado
--- | ---
-psn | Ignorado (solo para macOS)
-Embedding | Ignorado (relativo a COM+; solo para Windows)
--nofirststartwizard | No hace nada; se acepta únicamente por motivos de compatibilidad retroactiva.
--protector {arg1} {arg2} | Se utiliza únicamente en las pruebas unitarias y debe tener dos argumentos.

¡Necesitamos su ayuda!